Bug 979448 - bibexport duplicates texlive-bibexport
bibexport duplicates texlive-bibexport
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Reopened, Tracking
Depends On:
Blocks: 979180
  Show dependency treegraph
 
Reported: 2013-06-28 11:02 EDT by Orion Poplawski
Modified: 2015-10-03 17:13 EDT (History)
5 users (show)

See Also:
Fixed In Version: texlive-2014-13.20140525_r34255.fc23 texlive-2014-10.20140525_r34255.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 979180
Environment:
Last Closed: 2015-10-01 12:03:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Partial patch to the spec template and dependency engine (1.47 KB, patch)
2013-11-05 09:23 EST, Michael J Gruber
no flags Details | Diff

  None (edit)
Description Orion Poplawski 2013-06-28 11:02:06 EDT
+++ This bug was initially created as a clone of Bug #979180 +++

Description of problem:

This appears to simply be an older version of the bibexport shipped in texlive-bibexport.  This package probably should be retired.

Version-Release number of selected component (if applicable):
2.10-9

--- Additional comment from Michael J Gruber on 2013-06-28 08:58:11 EDT ---

(In reply to Orion Poplawski from comment #0)
> Description of problem:
> 
> This appears to simply be an older version of the bibexport shipped in
> texlive-bibexport.  This package probably should be retired.

While that is certainly true, texlive didn't always ship bibexport if I remember correctly.

The proper course of action would be:

A) texlive-bibtex(-bin) provides compatibility link as /usr/bin/bibexport.sh (the former location of bibexport)

B) texlive-bibtex(-bin) provides "obsoletes" in spec (i.e. states that it obsoletes bibexport)

C) bibexport gets retired.

A,B can be done in one step, of course, and wpould need a new bug on which this one depends.

So, this should really be a bug report against the newer texlive-bibexport which duplicates the older bibexport, unless we decide to skip the usual A,B completely and jump right ahead to C.

Orion, have you cc'ed texlive-export people on this?
Comment 1 Fedora End Of Life 2013-09-16 10:17:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Michael J Gruber 2013-11-05 05:15:46 EST
Sooo, could the texlive package please obsolete bibexport if it duplicates that preexisting package (i.e. do A,B above)?

Thanks.
Comment 3 Michael J Gruber 2013-11-05 05:19:14 EST
Note that in A,B, it should read "texlive-bibexport[-bin]", of course, and that f18 through rawhide are affected now.
Comment 4 Michael J Gruber 2013-11-05 09:23:28 EST
Created attachment 819794 [details]
Partial patch to the spec template and dependency engine

Here's a partial patch demonstrating what I want to achieve. What's missing is a rerun of the spec building machinery.

It seems that texlive-bibexport already "provides" tex-bibexport (which I don't think ever existed". It should provide "bibexport" instead to ensure the proper upgrade path.

Package bibexport used to put "bibexport.sh" as a symlink into /usr/bin. The patch recreates that compat link, though I wouldn't mind breaking it and putting "bibexport" instead there, which would be more in line with other texlive packages. Upgrading users can find it by command completion.
Comment 5 Michael J Gruber 2015-03-05 09:27:19 EST
Could maybe someone from the texlive team have a look at this and at least comment, please?
Comment 6 Fedora End Of Life 2015-05-29 05:08:28 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 08:01:54 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Fedora Admin XMLRPC Client 2015-08-11 01:31:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Tom "spot" Callaway 2015-09-17 16:20:34 EDT
Yeah. Texlive has been rotting for a long long long time. I'm definitely going to apply this fix to rawhide, maybe do an f22/f23 update if I am brave enough.
Comment 10 Fedora Update System 2015-09-25 12:32:47 EDT
texlive-2014-13.20140525_r34255.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update texlive'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16620
Comment 11 Fedora Update System 2015-09-26 20:38:35 EDT
texlive-2014-10.20140525_r34255.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update texlive'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16621
Comment 12 Fedora Update System 2015-10-01 12:03:02 EDT
texlive-2014-13.20140525_r34255.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-10-03 17:13:14 EDT
texlive-2014-10.20140525_r34255.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.